Bug 727586 - repodiff uses stale metadata cache in subsequent runs
Summary: repodiff uses stale metadata cache in subsequent runs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum
Version: 6.3
Hardware: All
OS: All
high
high
Target Milestone: rc
: ---
Assignee: James Antill
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On: 665919 709972
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-02 14:28 UTC by James Antill
Modified: 2014-01-21 06:24 UTC (History)
1 user (show)

Fixed In Version: yum-3.2.29-18.el6
Doc Type: Bug Fix
Doc Text:
Previously, the repodiff utility used a stale metadata cache in subsequent runs. When two repodiff commands were executed in succession, the second run reused cached data from the first. This bug has been fixed and repodiff now properly validates the metadata if a connection cannot be established or the cached data are about to be reused.
Clone Of: 709972
Environment:
Last Closed: 2011-12-06 17:34:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1702 normal SHIPPED_LIVE yum bug fix and enhancement update 2011-12-06 00:49:49 UTC

Comment 3 Jaromir Hradilek 2011-10-26 15:26:36 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, the repodiff utility used a stale metadata cache in subsequent runs. When two repodiff commands were executed in succession, the second run reused cached data from the first. This bug has been fixed and repodiff now properly validates the metadata if a connection cannot be established or the cached data are about to be reused.

Comment 4 errata-xmlrpc 2011-12-06 17:34:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1702.html


Note You need to log in before you can comment on or make changes to this bug.